function [values] = nmvar_values ()

%%
% [values] = nmvar_values ()
%
% Set the constant values used in NMAR.

% Version 1.1, April 2019.

%-----------------------------------------------------------------------
%
% Author: Jean Charles Gilbert, INRIA.
% Copyright 2018, 2019, INRIA.
%
% NMHP is distributed under the terms of the Q Public License version
% 1.0.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Q Public
% License version 1.0 for more details.
%
% You should have received a copy of the Q Public License version 1.0
% along with this program.  If not, see
% <http://doc.trolltech.com/3.0/license.html>.
%
%-----------------------------------------------------------------------

% Diagnosis values

  values.success                      = int8(  0);	% solution found
  values.fail_on_argument             = int8(  1);	% an argument is wrong
  values.stop_on_itermax              = int8(  2);	% exit on the max number of iterations reached
  values.stop_on_dxmin                = int8(  3);	% exit on dxmin
  values.fail_with_linear_solve       = int8(  4);	% failure with Quadprog
  values.fail_with_quadprog           = int8(  5);	% failure with Quadprog
  values.fail_on_positive_slope       = int8(  6);	% exit on positive slope of the least-square function
  values.stop_on_iterlsmax            = int8(  7);	% exit on too many linesearch trials

% Running values

  values.fail_on_recursivity_before   = int8( 10);	% recursivity fails before calling nmvar (no decrease in the number of complementarity constraints)
  values.fail_on_recursivity_after    = int8( 11);	% recursivity fails after calling nmvar
  values.time_direction               = int8( 12);	% CPU time of the computation of the directions
  values.method_hp                    = int8( 13);	% Harker and Pang algorithm
  values.method_hpe                   = int8( 14);	% extended Harker and Pang algorithm
  values.method_els                   = int8( 15);	% exact linesearch

% Other values

  values.dline = '------------------------------------------------------------------------';
  values.eline = '========================================================================';

% Return

return
